Xerces-C++: XMLDOMMsg Class Reference

# XMLDOMMsg Class Reference

List of all members.

## Public Types
enum | Codes { NoError = 0, F_LowBounds = 1, DOMEXCEPTION_ERRX = 2, INDEX_SIZE_ERR = 3, DOMSTRING_SIZE_ERR = 4, HIERARCHY_REQUEST_ERR = 5, WRONG_DOCUMENT_ERR = 6, INVALID_CHARACTER_ERR = 7, NO_DATA_ALLOWED_ERR = 8, NO_MODIFICATION_ALLOWED_ERR = 9, NOT_FOUND_ERR = 10, NOT_SUPPORTED_ERR = 11, INUSE_ATTRIBUTE_ERR = 12, INVALID_STATE_ERR = 13, SYNTAX_ERR = 14, INVALID_MODIFICATION_ERR = 15, NAMESPACE_ERR = 16, INVALID_ACCESS_ERR = 17, VALIDATION_ERR = 18, TYPE_MISMATCH_ERR = 19, DOMRANGEEXCEPTION_ERRX = 20, BAD_BOUNDARYPOINTS_ERR = 21, INVALID_NODE_TYPE_ERR = 22, DOMLSEXCEPTION_ERRX = 23, PARSE_ERR = 24, SERIALIZE_ERR = 25, DOMXPATHEXCEPTION_ERRX = 26, INVALID_EXPRESSION_ERR = 27, TYPE_ERR = 28, NO_RESULT_ERR = 29, Writer_NestedCDATA = 30, Writer_NotRepresentChar = 31, Writer_NotRecognizedType = 32, LSParser_ParseInProgress = 33, LSParser_ParsingAborted = 34, LSParser_ParsingFailed = 35, F_HighBounds = 36, W_LowBounds = 37, W_HighBounds = 38, E_LowBounds = 39, E_HighBounds = 40 }
## Static Public Member Functions
static bool | isFatal (const XMLDOMMsg::Codes toCheck)
static bool | isWarning (const XMLDOMMsg::Codes toCheck)
static bool | isError (const XMLDOMMsg::Codes toCheck)
static XMLErrorReporter::ErrTypes | errorType (const XMLDOMMsg::Codes toCheck)
static DOMError::ErrorSeverity | DOMErrorType (const XMLDOMMsg::Codes toCheck)

## Member Enumeration Documentation

enum XMLDOMMsg::Codes

Enumerator:

  NoError |
  F_LowBounds |
  DOMEXCEPTION_ERRX |
  INDEX_SIZE_ERR |
  DOMSTRING_SIZE_ERR |
  HIERARCHY_REQUEST_ERR |
  WRONG_DOCUMENT_ERR |
  INVALID_CHARACTER_ERR |
  NO_DATA_ALLOWED_ERR |
  NO_MODIFICATION_ALLOWED_ERR |
  NOT_FOUND_ERR |
  NOT_SUPPORTED_ERR |
  INUSE_ATTRIBUTE_ERR |
  INVALID_STATE_ERR |
  SYNTAX_ERR |
  INVALID_MODIFICATION_ERR |
  NAMESPACE_ERR |
  INVALID_ACCESS_ERR |
  VALIDATION_ERR |
  TYPE_MISMATCH_ERR |
  DOMRANGEEXCEPTION_ERRX |
  BAD_BOUNDARYPOINTS_ERR |
  INVALID_NODE_TYPE_ERR |
  DOMLSEXCEPTION_ERRX |
  PARSE_ERR |
  SERIALIZE_ERR |
  DOMXPATHEXCEPTION_ERRX |
  INVALID_EXPRESSION_ERR |
  TYPE_ERR |
  NO_RESULT_ERR |
  Writer_NestedCDATA |
  Writer_NotRepresentChar |
  Writer_NotRecognizedType |
  LSParser_ParseInProgress |
  LSParser_ParsingAborted |
  LSParser_ParsingFailed |
  F_HighBounds |
  W_LowBounds |
  W_HighBounds |
  E_LowBounds |
  E_HighBounds |

## Member Function Documentation

static bool XMLDOMMsg::isFatal | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

References F_HighBounds, and F_LowBounds.

static bool XMLDOMMsg::isWarning | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

References W_HighBounds, and W_LowBounds.

static bool XMLDOMMsg::isError | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

References E_HighBounds, and E_LowBounds.

static XMLErrorReporter::ErrTypes XMLDOMMsg::errorType | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

References E_HighBounds, E_LowBounds, XMLErrorReporter::ErrType_Error, XMLErrorReporter::ErrType_Fatal, XMLErrorReporter::ErrType_Warning, XMLErrorReporter::ErrTypes_Unknown, F_HighBounds, F_LowBounds, W_HighBounds, and W_LowBounds.

static DOMError::ErrorSeverity XMLDOMMsg::DOMErrorType | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

References DOMError::DOM_SEVERITY_ERROR, DOMError::DOM_SEVERITY_FATAL_ERROR, DOMError::DOM_SEVERITY_WARNING, F_HighBounds, F_LowBounds, W_HighBounds, and W_LowBounds.

The documentation for this class was generated from the following file:

- XMLDOMMsg.hpp